rte_crypto_ecdh_op_param(3)

NAME
rte_crypto_ecdh_op_param

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

enum rte_crypto_asym_ke_type ke_type
rte_crypto_uint priv_key
struct rte_crypto_ec_point pub_key
struct rte_crypto_ec_point shared_secret

Detailed Description

Elliptic Curve Diffie-Hellman Operations params.

Definition at line 538 of file rte_crypto_asym.h.

Field Documentation

  enum rte_crypto_asym_ke_type ke_type
Key exchange operation type

Definition at line 539 of file rte_crypto_asym.h.

  rte_crypto_uint priv_key
Output - generated private key when ke_type is RTE_CRYPTO_ASYM_KE_PRIVATE_KEY_GENERATE.

Input - private key when ke_type is one of: RTE_CRYPTO_ASYM_KE_PUBLIC_KEY_GENERATE, RTE_CRYPTO_ASYM_KE_SHARED_SECRET_COMPUTE.

In case priv_key.length is 0 and ke_type is set with RTE_CRYPTO_ASYM_KE_PUBLIC_KEY_GENERATE, CSRNG capable device will generate private key and use it for public key generation.

Definition at line 541 of file rte_crypto_asym.h.

  struct rte_crypto_ec_point pub_key
Output - generated public key when ke_type is RTE_CRYPTO_ASYM_KE_PUBLIC_KEY_GENERATE.

Input - peer's public key, when ke_type is one of: RTE_CRYPTO_ASYM_KE_SHARED_SECRET_COMPUTE, RTE_CRYPTO_ASYM_KE_EC_PUBLIC_KEY_VERIFY.

Definition at line 555 of file rte_crypto_asym.h.

  struct rte_crypto_ec_point shared_secret
Output - calculated shared secret when ke_type is RTE_CRYPTO_ASYM_KE_SHARED_SECRET_COMPUTE.

Definition at line 564 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.